Package com.independentsoft.office.word

# Class Spacing

java.lang.Object
com.independentsoft.office.word.Spacing

public class Spacing extends Object
The Class Spacing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Spacing()`
  Instantiates a new spacing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Spacing`
  `clone()`
  `int`
  `getAfter()`
  Gets the after.
  `ExtendedBoolean`
  `getAfterAutospacing()`
  Gets the after autospacing.
  `int`
  `getAfterLines()`
  Gets the after lines.
  `int`
  `getBefore()`
  Gets the before.
  `ExtendedBoolean`
  `getBeforeAutospacing()`
  Gets the before autospacing.
  `int`
  `getBeforeLines()`
  Gets the before lines.
  `int`
  `getLine()`
  Gets the line.
  `LineSpacingRule`
  `getLineRule()`
  Gets the line rule.
  `void`
  `setAfter​(int after)`
  Sets the after.
  `void`
  `setAfterAutospacing​(ExtendedBoolean afterAutospacing)`
  Sets the after autospacing.
  `void`
  `setAfterLines​(int afterLines)`
  Sets the after lines.
  `void`
  `setBefore​(int before)`
  Sets the before.
  `void`
  `setBeforeAutospacing​(ExtendedBoolean beforeAutospacing)`
  Sets the before autospacing.
  `void`
  `setBeforeLines​(int beforeLines)`
  Sets the before lines.
  `void`
  `setLine​(int line)`
  Sets the line.
  `void`
  `setLineRule​(LineSpacingRule lineRule)`
  Sets the line rule.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Spacing

    public Spacing()
    Instantiates a new spacing.

- ## Method Details

  - ### clone

    public Spacing clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAfter

    public int getAfter()
    Gets the after.
    Returns:
      the after

  - ### setAfter

    public void setAfter​(int after)
    Sets the after.
    Parameters:
      `after` - the new after

  - ### getAfterAutospacing

    public ExtendedBoolean getAfterAutospacing()
    Gets the after autospacing.
    Returns:
      the after autospacing

  - ### setAfterAutospacing

    public void setAfterAutospacing​(ExtendedBoolean afterAutospacing)
    Sets the after autospacing.
    Parameters:
      `afterAutospacing` - the new after autospacing

  - ### getAfterLines

    public int getAfterLines()
    Gets the after lines.
    Returns:
      the after lines

  - ### setAfterLines

    public void setAfterLines​(int afterLines)
    Sets the after lines.
    Parameters:
      `afterLines` - the new after lines

  - ### getBefore

    public int getBefore()
    Gets the before.
    Returns:
      the before

  - ### setBefore

    public void setBefore​(int before)
    Sets the before.
    Parameters:
      `before` - the new before

  - ### getBeforeAutospacing

    public ExtendedBoolean getBeforeAutospacing()
    Gets the before autospacing.
    Returns:
      the before autospacing

  - ### setBeforeAutospacing

    public void setBeforeAutospacing​(ExtendedBoolean beforeAutospacing)
    Sets the before autospacing.
    Parameters:
      `beforeAutospacing` - the new before autospacing

  - ### getBeforeLines

    public int getBeforeLines()
    Gets the before lines.
    Returns:
      the before lines

  - ### setBeforeLines

    public void setBeforeLines​(int beforeLines)
    Sets the before lines.
    Parameters:
      `beforeLines` - the new before lines

  - ### getLine

    public int getLine()
    Gets the line.
    Returns:
      the line

  - ### setLine

    public void setLine​(int line)
    Sets the line.
    Parameters:
      `line` - the new line

  - ### getLineRule

    public LineSpacingRule getLineRule()
    Gets the line rule.
    Returns:
      the line rule

  - ### setLineRule

    public void setLineRule​(LineSpacingRule lineRule)
    Sets the line rule.
    Parameters:
      `lineRule` - the new line rule